﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SQLite;
using System.Windows.Forms;

namespace WindowsFormsApp65
{
    public partial class Form3 : Form
    {
        public Form3()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            String connectionString = "Data Source=DB1.db;Version=3;";
            SQLiteConnection connection = new SQLiteConnection(connectionString);
            connection.Open();

            String query = "Select Name From User";
            SQLiteCommand command = new SQLiteCommand(query, connection);
            SQLiteDataReader reader = command.ExecuteReader();
            StringBuilder builder = new StringBuilder();
            while (reader.Read())
            {
                builder.Append(reader.GetString(0)).Append(Environment.NewLine);
            }
            MessageBox.Show(builder.ToString());

            connection.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            String connectionString = "Data Source=DB1.db;Version=3;";
            SQLiteConnection connection = new SQLiteConnection(connectionString);
            connection.Open();

            String query = "Select Name From User where Name=@user and Password=@password";
            SQLiteCommand command = new SQLiteCommand(query, connection);
            command.Parameters.AddWithValue("@user", textBox1.Text);
            command.Parameters.AddWithValue("@password", textBox2.Text);
            SQLiteDataReader reader = command.ExecuteReader();
            StringBuilder builder = new StringBuilder();
            if (reader.Read())
            {
                new Form1(textBox1.Text).Show();
            }
            else
            {
                MessageBox.Show("Wrong name and/or password...");
            }

            connection.Close();
        }
    }
}
